[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TFieldGetTextEvent

Event handler to get field content

## Declaration

Source position: db.pas line 239

`type TFieldGetTextEvent = procedure(`
`Sender: TField;`
`var aText: string;`
`DisplayText: Boolean`
`) of object;`

## Arguments

`Sender` |  | Field instance whose text should be returned.
`aText` |  | The result of the event handler should be returned in this parameter.
`DisplayText` |  | Is the result used for display purposes ?

## Description

TFieldGetTextEvent is the prototype for the TField.OnGetText event handler. It should be used when the text of a field requires special formatting. The event handler should return the contents of the field in formatted form in the AText parameter. The DisplayText is True if the text is used for displaying purposes or is False if it will be used for editing purposes.

## See also

TField.OnGetText |  | Event to format the field's content
TFieldSetTextEvent |  | Event handler to get field content